Data Fields
Author: Emanuel Eichhammer

· · · ·
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - s -

- sanitizedForLinScale() : QCPRange
- sanitizedForLogScale() : QCPRange
- save() : QCPPainter
- saveBmp() : QCustomPlot
- saveJpg() : QCustomPlot
- savePdf() : QCustomPlot
- savePng() : QCustomPlot
- saveRastered() : QCustomPlot
- scaleRange() : QCPAxis
- ScaleType : QCPAxis
- scaleTypeChanged() : QCPAxis
- ScatterShape : QCPScatterStyle
- sdBoth : QCPAbstractPlottable
- sdNegative : QCPAbstractPlottable
- sdPositive : QCPAbstractPlottable
- selectableChanged() : QCPAbstractPlottable , QCPAxis
- SelectablePart : QCPAxis , QCPLegend
- selectedAxes() : QCustomPlot
- selectedGraphs() : QCustomPlot
- selectedItems() : QCPLegend , QCustomPlot
- selectedLegends() : QCustomPlot
- selectedPlottables() : QCustomPlot
- selectEvent() : QCPAbstractItem , QCPAbstractLegendItem , QCPAbstractPlottable , QCPAxis , QCPLayerable , QCPLegend , QCPPlotTitle
- selectionCategory() : QCPAbstractItem , QCPAbstractLegendItem , QCPAbstractPlottable , QCPAxis , QCPLayerable , QCPLegend
- selectionChanged() : QCPAbstractItem , QCPAbstractLegendItem , QCPAbstractPlottable , QCPAxis , QCPLegend , QCPPlotTitle
- selectionChangedByUser() : QCustomPlot
- selectTest() : QCPAbstractItem , QCPAbstractLegendItem , QCPAbstractPlottable , QCPAxis , QCPBars , QCPColorMap , QCPCurve , QCPFinancial , QCPGraph , QCPItemBracket , QCPItemCurve , QCPItemEllipse , QCPItemLine , QCPItemPixmap , QCPItemRect , QCPItemStraightLine , QCPItemText , QCPItemTracer , QCPLayerable , QCPLayoutElement , QCPLayoutInset , QCPLegend , QCPPlotTitle , QCPStatisticalBox
- setAdaptiveSampling() : QCPGraph
- setAntialiased() : QCPLayerable
- setAntialiasedElement() : QCustomPlot
- setAntialiasedElements() : QCustomPlot
- setAntialiasedErrorBars() : QCPAbstractPlottable
- setAntialiasedFill() : QCPAbstractPlottable
- setAntialiasedScatters() : QCPAbstractPlottable
- setAntialiasedSubGrid() : QCPGrid
- setAntialiasedZeroLine() : QCPGrid
- setAntialiasing() : QCPPainter
- setAutoAddPlottableToLegend() : QCustomPlot
- setAutoMargins() : QCPLayoutElement
- setAutoSubTicks() : QCPAxis
- setAutoTickCount() : QCPAxis
- setAutoTickLabels() : QCPAxis
- setAutoTicks() : QCPAxis
- setAutoTickStep() : QCPAxis
- setAxes() : QCPItemPosition
- setAxisRect() : QCPItemPosition
- setBackground() : QCPAxisRect , QCustomPlot
- setBackgroundScaled() : QCPAxisRect , QCustomPlot
- setBackgroundScaledMode() : QCPAxisRect , QCustomPlot
- setBarsGroup() : QCPBars
- setBarWidth() : QCPColorScale
- setBasePen() : QCPAxis
- setBaseValue() : QCPBars
- setBorderPen() : QCPLegend
- setBrush() : QCPAbstractPlottable , QCPItemEllipse , QCPItemRect , QCPItemText , QCPItemTracer , QCPLegend , QCPScatterStyle
- setBrushNegative() : QCPFinancial
- setBrushPositive() : QCPFinancial
- setCell() : QCPColorMapData
- setChannelFillGraph() : QCPGraph
- setChartStyle() : QCPFinancial
- setClipAxisRect() : QCPAbstractItem
- setClipToAxisRect() : QCPAbstractItem
- setColor() : QCPItemText
- setColorInterpolation() : QCPColorGradient
- setColorScale() : QCPColorMap
- setColorStopAt() : QCPColorGradient
- setColorStops() : QCPColorGradient
- setColumnSpacing() : QCPLayoutGrid
- setColumnStretchFactor() : QCPLayoutGrid
- setColumnStretchFactors() : QCPLayoutGrid
- setCoords() : QCPItemPosition
- setCurrentLayer() : QCustomPlot
- setCustomPath() : QCPScatterStyle
- setData() : QCPBars , QCPColorMap , QCPColorMapData , QCPCurve , QCPFinancial , QCPGraph , QCPStatisticalBox
- setDataBothError() : QCPGraph
- setDataKeyError() : QCPGraph
- setDataRange() : QCPColorMap , QCPColorScale
- setDataScaleType() : QCPColorMap , QCPColorScale
- setDataValueError() : QCPGraph
- setDateTimeFormat() : QCPAxis
- setDateTimeSpec() : QCPAxis
- setErrorBarSize() : QCPGraph
- setErrorBarSkipSymbol() : QCPGraph
- setErrorPen() : QCPGraph
- setErrorType() : QCPGraph
- setFont() : QCPAbstractLegendItem , QCPItemText , QCPLegend , QCPPlotTitle
- setGradient() : QCPColorMap , QCPColorScale
- setGraph() : QCPItemTracer
- setGraphKey() : QCPItemTracer
- setHead() : QCPItemCurve , QCPItemLine
- setIconBorderPen() : QCPLegend
- setIconSize() : QCPLegend
- setIconTextPadding() : QCPLegend
- setInsetAlignment() : QCPLayoutInset
- setInsetPlacement() : QCPLayoutInset
- setInsetRect() : QCPLayoutInset
- setInteraction() : QCustomPlot
- setInteractions() : QCustomPlot
- setInterpolate() : QCPColorMap
- setInterpolating() : QCPItemTracer
- setInverted() : QCPLineEnding
- setKey() : QCPStatisticalBox
- setKeyAxis() : QCPAbstractPlottable
- setKeyRange() : QCPColorMapData
- setKeySize() : QCPColorMapData
- setLabel() : QCPAxis , QCPColorScale
- setLabelColor() : QCPAxis
- setLabelFont() : QCPAxis
- setLabelPadding() : QCPAxis
- setLayer() : QCPLayerable
- setLength() : QCPItemBracket , QCPLineEnding
- setLevelCount() : QCPColorGradient
- setLineStyle() : QCPCurve , QCPGraph
- setLowerEnding() : QCPAxis
- setLowerQuartile() : QCPStatisticalBox
- setMarginGroup() : QCPLayoutElement
- setMargins() : QCPLayoutElement
- setMaximum() : QCPStatisticalBox
- setMaximumSize() : QCPLayoutElement
- setMedian() : QCPStatisticalBox
- setMedianPen() : QCPStatisticalBox
- setMinimum() : QCPStatisticalBox
- setMinimumMargins() : QCPLayoutElement
- setMinimumSize() : QCPLayoutElement
- setMode() : QCPPainter
- setModes() : QCPPainter
- setMultiSelectModifier() : QCustomPlot
- setName() : QCPAbstractPlottable
- setNoAntialiasingOnDrag() : QCustomPlot
- setNotAntialiasedElement() : QCustomPlot
- setNotAntialiasedElements() : QCustomPlot
- setNumberFormat() : QCPAxis
- setNumberPrecision() : QCPAxis
- setOffset() : QCPAxis
- setOuterRect() : QCPLayoutElement
- setOutliers() : QCPStatisticalBox
- setOutlierStyle() : QCPStatisticalBox
- setPadding() : QCPAxis , QCPItemText
- setParentAnchor() : QCPItemPosition
- setParentAnchorX() : QCPItemPosition
- setParentAnchorY() : QCPItemPosition
- setParentLayerable() : QCPLayerable
- setPen() : QCPAbstractPlottable , QCPGrid , QCPItemBracket , QCPItemCurve , QCPItemEllipse , QCPItemLine , QCPItemPixmap , QCPItemRect , QCPItemStraightLine , QCPItemText , QCPItemTracer , QCPPainter , QCPScatterStyle
- setPenNegative() : QCPFinancial
- setPenPositive() : QCPFinancial
- setPeriodic() : QCPColorGradient
- setPixelPoint() : QCPItemPosition
- setPixmap() : QCPItemPixmap , QCPScatterStyle
- setPlottingHint() : QCustomPlot
- setPlottingHints() : QCustomPlot
- setPositionAlignment() : QCPItemText
- setRange() : QCPAxis , QCPColorMapData
- setRangeDrag() : QCPAxisRect , QCPColorScale
- setRangeDragAxes() : QCPAxisRect
- setRangeLower() : QCPAxis
- setRangeReversed() : QCPAxis
- setRangeUpper() : QCPAxis
- setRangeZoom() : QCPAxisRect , QCPColorScale
- setRangeZoomAxes() : QCPAxisRect
- setRangeZoomFactor() : QCPAxisRect
- setRotation() : QCPItemText
- setRowSpacing() : QCPLayoutGrid
- setRowStretchFactor() : QCPLayoutGrid
- setRowStretchFactors() : QCPLayoutGrid
- setScaled() : QCPItemPixmap
- setScaleLogBase() : QCPAxis
- setScaleRatio() : QCPAxis
- setScaleType() : QCPAxis
- setScatterStyle() : QCPCurve , QCPGraph
- setSelectable() : QCPAbstractItem , QCPAbstractLegendItem , QCPAbstractPlottable , QCPPlotTitle
- setSelectableParts() : QCPAxis , QCPLegend
- setSelected() : QCPAbstractItem , QCPAbstractLegendItem , QCPAbstractPlottable , QCPPlotTitle
- setSelectedBasePen() : QCPAxis
- setSelectedBorderPen() : QCPLegend
- setSelectedBrush() : QCPAbstractPlottable , QCPItemEllipse , QCPItemRect , QCPItemText , QCPItemTracer , QCPLegend
- setSelectedColor() : QCPItemText
- setSelectedFont() : QCPAbstractLegendItem , QCPItemText , QCPLegend , QCPPlotTitle
- setSelectedIconBorderPen() : QCPLegend
- setSelectedLabelColor() : QCPAxis
- setSelectedLabelFont() : QCPAxis
- setSelectedParts() : QCPAxis , QCPLegend
- setSelectedPen() : QCPAbstractPlottable , QCPItemBracket , QCPItemCurve , QCPItemEllipse , QCPItemLine , QCPItemPixmap , QCPItemRect , QCPItemStraightLine , QCPItemText , QCPItemTracer
- setSelectedSubTickPen() : QCPAxis
- setSelectedTextColor() : QCPAbstractLegendItem , QCPLegend , QCPPlotTitle
- setSelectedTickLabelColor() : QCPAxis
- setSelectedTickLabelFont() : QCPAxis
- setSelectedTickPen() : QCPAxis
- setSelectionTolerance() : QCustomPlot
- setShape() : QCPScatterStyle
- setSize() : QCPColorMapData , QCPItemTracer , QCPScatterStyle
- setSpacing() : QCPBarsGroup
- setSpacingType() : QCPBarsGroup
- setStyle() : QCPItemBracket , QCPItemTracer , QCPLineEnding
- setSubGridPen() : QCPGrid
- setSubGridVisible() : QCPGrid
- setSubTickCount() : QCPAxis
- setSubTickLength() : QCPAxis
- setSubTickLengthIn() : QCPAxis
- setSubTickLengthOut() : QCPAxis
- setSubTickPen() : QCPAxis
- setTail() : QCPItemCurve , QCPItemLine
- setText() : QCPItemText , QCPPlotTitle
- setTextAlignment() : QCPItemText
- setTextColor() : QCPAbstractLegendItem , QCPLegend , QCPPlotTitle
- setTickLabelColor() : QCPAxis
- setTickLabelFont() : QCPAxis
- setTickLabelPadding() : QCPAxis
- setTickLabelRotation() : QCPAxis
- setTickLabels() : QCPAxis
- setTickLabelSide() : QCPAxis
- setTickLabelType() : QCPAxis
- setTickLength() : QCPAxis
- setTickLengthIn() : QCPAxis
- setTickLengthOut() : QCPAxis
- setTickPen() : QCPAxis
- setTicks() : QCPAxis
- setTickStep() : QCPAxis
- setTickVector() : QCPAxis
- setTickVectorLabels() : QCPAxis
- setTightBoundary() : QCPColorMap
- setTwoColored() : QCPFinancial
- setType() : QCPColorScale , QCPItemPosition
- setTypeX() : QCPItemPosition
- setTypeY() : QCPItemPosition
- setupFullAxesBox() : QCPAxisRect
- setUpperEnding() : QCPAxis
- setUpperQuartile() : QCPStatisticalBox
- setupTickVectors() : QCPAxis
- setValueAxis() : QCPAbstractPlottable
- setValueRange() : QCPColorMapData
- setValueSize() : QCPColorMapData
- setViewport() : QCustomPlot
- setVisible() : QCPLayer , QCPLayerable
- setWhiskerBarPen() : QCPStatisticalBox
- setWhiskerPen() : QCPStatisticalBox
- setWhiskerWidth() : QCPStatisticalBox
- setWidth() : QCPBars , QCPFinancial , QCPLineEnding , QCPStatisticalBox
- setWidthType() : QCPBars
- setZeroLinePen() : QCPGrid
- SignDomain : QCPAbstractPlottable
- simplify() : QCPLayout , QCPLayoutGrid , QCPLayoutInset
- size() : QCPAxisRect , QCPBarsGroup , QCPRange
- sizeConstraintsChanged() : QCPLayout
- sizeHint() : QCustomPlot
- SpacingType : QCPBarsGroup
- spAxis : QCPAxis
- spAxisLabel : QCPAxis
- spItems : QCPLegend
- spLegendBox : QCPLegend
- spNone : QCPAxis , QCPLegend
- spTickLabels : QCPAxis
- ssCircle : QCPScatterStyle
- ssCross : QCPScatterStyle
- ssCrossCircle : QCPScatterStyle
- ssCrossSquare : QCPScatterStyle
- ssCustom : QCPScatterStyle
- ssDiamond : QCPScatterStyle
- ssDisc : QCPScatterStyle
- ssDot : QCPScatterStyle
- ssNone : QCPScatterStyle
- ssPeace : QCPScatterStyle
- ssPixmap : QCPScatterStyle
- ssPlus : QCPScatterStyle
- ssPlusCircle : QCPScatterStyle
- ssPlusSquare : QCPScatterStyle
- ssSquare : QCPScatterStyle
- ssStar : QCPScatterStyle
- ssTriangle : QCPScatterStyle
- ssTriangleInverted : QCPScatterStyle
- stAbsolute : QCPBarsGroup
- stAxisRectRatio : QCPBarsGroup
- stLinear : QCPAxis
- stLogarithmic : QCPAxis
- stPlotCoords : QCPBarsGroup